char *s = N_("\n"
             "<span size=\"xx-large\"><b>SpeakGoodChinese</b></span>\n"
             "<span size=\"small\">(shuo1 hao3 zhong1 wen2)</span>\n"
             "\n"
             "<span size=\"x-large\">\n"
             "<big><b>Manual</b></big>\n"
             "</span>\n"
             "\n"
             "\n"
             "<span size=\"large\">Aim</span>\n"
             "\n"
             "The SpeakGoodChinese tone recognizer (SGC) helps you to practise pronouncing Mandarin Chinese tones.\n"
             "\n"
             "\n"
             "<span size=\"large\">Features</span>\n"
             "\n"
             "- The tone recogniser analyses your pronunciation of the Chinese tones by using techniques in speech recognition.\n"
             "- It shows you via a graphical presentation the difference between your pronunciation of the tones and the standard pronunciation.\n"
             "- It also gives you a written analysis of your pronunciation.\n"
             "- You can listen to a hummed example of a tone or tone combination, before you record your pronunciation.\n"
             "- You can listen to your own recorded pronunciation.\n"
             "- You can practise all one or two syllabic words of Mandarin Chinese by simply adding them to the wordlist yourself. The wordlist is then saved automatically for your future visits.\n"
             "\n"
             "\n"
             "<span size=\"large\">Preconditions</span>\n"
             "\n"
             "You need a headset with a microphone. The tone recogniser will only work reliably when your surroundings are quiet during the recording. Check the settings of the audio-mixer to ensure that your voice is neither recorded too loudly (clipped sounds) or too softly.\n"
             "\n"
             "<i>Please note:</i>\n"
             "You should always type in the pinyin as it is featured in the dictionary. Tone changes in words with two syllables are a built-in feature of SGC. That means that, e.g SGC will recognise ni2hao3 as the correct pronunciation for ni3hao3. There are, however, exceptions to this:\n"
             "\n"
             "- Yi1 (written as a horizontal one-stroke character) can change from a first tone into a second or a fourth tone, depending on the following syllable. SGC does not automatically convert yi1 into the desired tone. We advise you to type in the required tone for yi yourself.\n"
             "\n"
             "- Bu4 (not) In Mandarin Chinese the word bu4 (= not) changes its fourth tone into a second tone when followed by a verb carrying a fourth tone. For example bu4kan4 (to not look) is\n"
             "pronounced as bu2kan4. SGC does not automatically.\n"
             "This is due to the fact that there are other words pronounced as bu4 that carry meanings other than ‘not’, to which therefore the tone change does not apply. We advise you to type in the second tone for bu in combination with a fourth tone verb to ensure you practise the right pronunciation.\n"
             "\n"
             "\n"
             "<span size=\"x-large\"><b>Display</b></span>\n"
             "\n"
             "<span size=\"large\">Tone contours</span>\n"
             "\n"
             "The black line on the display screen, called the reference pitch, is the graphical representation of the requested tone / tones. After recording the contour of your own pronunciation of the tone / tones appears in red. \n"
             "\n"
             "\n"
             "<span size=\"large\">Pinyin</span>\n"
             "\n"
             "On the display, you can read the pinyin transcription of the requested word including a number for the tone. The neutral tone is depicted by 0, a first tone by 1 etc. After you have recorded your own pronunciation, it will be replaced by the written recognition result.\n"
             "\n"
             "\n"
             "<span size=\"large\">Recognition result</span>\n"
             "\n"
             "After processing your pronunciation, SGC will give you the result printed out below the graphical recognition result. If your rendition of the tones was acceptable, you will receive a positive result, such as ‘correct’. If not, SGC will try to tell you what you pronounced instead. When your pronunciation of the tones is not clear enough for the application to recognise, a question mark [?] appears instead. The advice will try to explain what has happened. We also advise you to compare your pitch in red to the reference pitch. Before trying again you might want to listen to the audio example of the requested tone(s).\n"
             "\n"
             "\n"
             "<span size=\"x-large\"><b>Buttons</b></span>\n"
             "\n"
             "<span size=\"large\">Record</span>\n"
             "\n"
             "Record your voice.\n"
             "You have 3.5 seconds to pronounce the requested word. The recording stops automatically. SpeakGoodChinese does not work well if there is background noise. Also, some microphones can add a lot of noise, which can interfere with the recognition. The tone recognizer assumes that you try to speak the requested word. If you pronounce a different word, the results are unpredictable. SpeakGoodChinese will try to isolate the word you speak from other sounds. This means that if you pause between syllables, either syllable might be cut off. In this case, the results of the recognition will be completely random.\n"
             "\n"
             "\n"
             "<span size=\"large\">Play</span>\n"
             "\n"
             "Replay the recorded pronunciation.\n"
             "\n"
             "\n"
             "<span size=\"large\">Example</span>\n"
             "\n"
             "Play an example. In the Play menu, you can choose whether to play hummed tones, or existing recordings. The hummed tones (without the words) help you understand how the tones should sound. You can play them every time before you record your pronunciation. See Menu – Play.\n"
             "\n"
             "\n"
             "<span size=\"large\">Previous</span>\n"
             "\n"
             "Go to the previous item on the list.\n"
             "\n"
             "\n"
             "<span size=\"large\">Next</span>\n"
             "\n"
             "Go to the next item on the list. See Add on how to add you own new words. \n"
             "\n"
             "\n"
             "<span size=\"x-large\"><b>Menu</b></span>\n"
             "\n"
             "<span size=\"large\">File – Open</span>\n"
             "\n"
             "Open a wordlist or distribution from your computer.\n"
             "\n"
             "\n"
             "<span size=\"large\">File – Quit</span>\n"
             "\n"
             "Leave the application.\n"
             "\n"
             "\n"
             "<span size=\"large\">Play</span>\n"
             "\n"
             "<i>Before – Voice</i> Play a recording made before.\n"
             "\n"
             "<i>Before – Hum</i> Resynthesize the last recording with the correct tones.\n"
             "\n"
             "\n"
             "<i>Example – Voice</i> Play a pre-recorded example or resynthesize the last recording with the correct tones.\n"
             "\n"
             "<i>Example – Hum</i> Generate a hummed tone contour of the pinyin on the display, before you record the word. This is an example of how your tone or tone combination should sound.\n"
             "\n"
             "\n"
             "<span size=\"large\">Voice</span>\n"
             "\n"
             "Choose what type of voice you have.\n"
             "If the written feedback says that your voice is too high or too low, this might mean that your tones are correct but your choice of the voice register (hertz) needs to be adjusted. You can change the base register of your voice in the Voice Menu, i.e. by choosing a higher or a lower hertz and try to find a voice register that makes your own voice (red line) match the Reference Pitch (black line) best. The frequency (in Hz) indicated is the ideal frequency of the first tone.\n"
             "<i>Male (150Hz)</i> - Low range male\n"
             "<i>Male (200Hz)</i> - Medium range male\n"
             "<i>Female (300Hz)</i> - Mid range female\n"
             "<i>Child (450Hz)</i> - High pitch voice, child\n"
             "\n"
             "\n"
             "<span size=\"large\">Wordlists</span>\n"
             "\n"
             "<i>Installed wordlists</i> - These wordlists are installed.\n"
             "\n"
             "<i>Shuffle</i> - Shuffles the current wordlist, to make learning word sequences less attractive for the brain.\n"
             "\n"
             "<i>Edit</i> - This screen allows you to add, remove, store and distribute your wordlists. See: The Editor.\n"
             "\n"
             "\n"
             "<span size=\"large\">Help</span>\n"
             "\n"
             "<i>Help</i> - This text and Mandarin Theory\n"
             "\n"
             "<i>About</i> - About the SpeakGoodChinese application\n"
             "\n"
             "\n"
             "<span size=\"x-large\"><b>The Editor</b></span>\n"
             "\n"
             "<span size=\"large\">Buttons</span>\n"
             "\n"
             "<i>Add</i> - Gives the user a popup screen for a new word to be added on the end of the list.\n"
             "<i>Remove</i> - Removes the current selection word from the list.\n"
             "<i>Close</i> - Closes the current window.\n"
             "\n"
             "\n"
             "<span size=\"large\">The Wordlist</span>\n"
             "\n"
             "You are able to click on a word to select it and make it active in the application, another click would allow you to edit this word. In order move the word sequence you can drag an unselected word to another position.\n"
             "\n"
             "You can add one or two syllable words in Mandarin Chinese pinyin. Do not use spaces between pinyin syllables. Use numbers to indicate the tones. Each syllable is followed by a number to represent the tone. 1 resembles the first tone, etc. For example: ni3hao3 (hello). Use number 0 for a neutral tone (also referred to as 5th tone), e.g. ma1ma0 (mother). Type v for pinyin ü, e.g. type nv3 for nü3 (female).\n"
             "\n"
             "\n"
             "<span size=\"large\">Menu</span>\n"
             "\n"
             "<i>New</i> - Pops up a window for the new name of the list, and clears the current wordlist.\n"
             "<i>Open</i> - Opens a wordlist, stored vertically in a plain text file (dos format).\n"
             "<i>Save</i> - Saves the current wordlist.\n"
             "<i>Save As</i> - Saves the current wordlist under another name.\n"
             "<i>Distribute</i> - Saves the current wordlist inside a SpeakGoodChinese distribution file (zip deflated).\n"
             "<i>Close</i> - Closes the current window.\n"
             "\n"
             "\n"
             "<span size=\"x-large\"><b>Contact</b></span>\n"
             "\n"
             "Contact us at mail@speakgoodchinese.org\n"
             "\n"
             "\n"
             "<i>Xue2xi2 jin4bu4! Wishing you progress in your studies!</i>");
char *s = N_("\n"
             "<span size=\"xx-large\"><b>Theory</b></span>\n"
             "<span size=\"small\">The Mandarin Chinese Tones</span>\n"
             "\n"
             "\n"
             "<span size=\"x-large\">The tones</span>\n"
             "\n"
             "<span size=\"large\">The first tone</span>\n"
             "\n"
             "The first tone is high-pitched. It stays at a constant high pitch level and does not rise or fall. Its duration is longer than the other tones. Tip: sing the seven music notes do, re, mi, fa, so, la, ti. The fifth note <i>so</i> sounds as high as the first tone in Mandarin Chinese.\n"
             "\n"
             "\n"
             "<span size=\"large\">The second tone</span>\n"
             "\n"
             "The second tone rises sharply. It sounds like the rising intonation of the last word of a question sentence in English.\n"
             "\n"
             "\n"
             "<span size=\"large\">The third tone</span>\n"
             "\n"
             "The third tone is a falling-rising tone. It reaches the lowest levels of your normal vocal range. It is of long duration, which is caused by the falling and rising of the pitch level. Therefore you need to pronounce it rather slowly.\n"
             "\n"
             "\n"
             "<span size=\"large\">The fourth tone</span>\n"
             "\n"
             "The fourth tone drops sharply from mid-range. It sounds curt.\n"
             "\n"
             "\n"
             "<span size=\"large\">The neutral tone</span>\n"
             "\n"
             "The neutral tone often occurs at the end of a word. It is short and its pronunciation is determined by the tone that precedes it. It is not stressed. In a multi-syllable word it can never occupy the first syllable.\n"
             "In this application the neutral tone is represented by 0. Tip: Say the first syllable of a word as long as possible and leave little time and stress to the syllable which bears the neutral tone. The pronunciation of the desired neutral tone occurs almost automatically during rapid speech.\n"
             "Note: Many Chinese words actually have the so-called tendency of <i>neutralization</i>, i.e. the last syllable is pronounced as a neutral tone.\n"
             "\n"
             "\n"
             "<span size=\"x-large\">The tone combinations</span>\n"
             "\n"
             "<span size=\"x-large\">Tone combination 3 - 1</span>\n"
             "The third tone changes whenever it appears as the first syllable of a two-syllable word. When pronouncing a two syllabic word that has the tone combination of 3 - 1, one should say the third tone of the first syllable as a half third tone. This means that the pitch in the first syllable only drops and does not rise again. Also: the third tone in this combination is shorter in duration than the following first tone.\n"
             "Note: A third tone as a first syllable in the combinations of 3 - 1, 3 - 2 and 3 - 4 is always pronounced as a half third tone. \n"
             "\n"
             "\n"
             "<span size=\"x-large\">Tone combination 3 - 2</span>\n"
             "\n"
             "See theory for tone combination 3 - 1, except the duration of second syllable is the same as first syllable.\n"
             "\n"
             "\n"
             "<span size=\"x-large\">Tone combination 3 - 3</span>\n"
             "\n"
             "A third tone becomes a second tone when followed by another third tone.\n"
             "Please listen to the tone example and study the graphical representation.\n"
             "\n"
             "\n"
             "<span size=\"x-large\">Tone combination 3 - 4</span>\n"
             "\n"
             "See theory for tone combination 3 - 1, except the duration of second syllable is the same as first syllable.\n"
             "\n"
             " \n"
             "<span size=\"x-large\">Tone combination 1 - 0</span>\n"
             "\n"
             "A neutral tone is pronounced without emphasis. When preceded by a first tone, it is rather low-pitched.\n"
             "Note: The neutral tone is short in duration and its pronunciation is determined by the tone of the syllable that precedes it. It is not stressed, but by no means less important than the other tones. Many Chinese words actually have the so-called tendency of <i>neutralization</i>, i.e. the last syllable is said as a neutral tone. It usually occurs when one speaks quickly. In multi-syllabic words the first syllable can never carry a neutral tone.\n"
             "Tip: Say the first syllable of a word with the first tone as long as possible and leave little time and stress to the second syllable which tone is neutral. The pronunciation of this desired neutral tone occurs almost automatically during the speech.\n"
             "\n"
             "\n"
             "<span size=\"x-large\">Tone combination 2 - 0</span>\n"
             "\n"
             "A neutral tone is always pronounced without emphasis. When preceded by a second tone it is pronounced at mid-range. \n"
             "See also Note and Tip for Tone combination 1 - 0.\n"
             "\n"
             "\n"
             "<span size=\"x-large\">Tone combination 3 - 0</span>\n"
             "\n"
             "A neutral tone is pronounced at a rather high pitched level, but without emphasis when it comes after a third tone.\n"
             "See also Note and Tip for Tone combination 1 - 0.\n"
             "\n"
             "\n"
             "<span size=\"x-large\">Tone combination 4 - 0</span>\n"
             "\n"
             "A neutral tone is without emphasis. When it is preceded by a fourth tone it is slightly low-pitched. \n"
             "See also Note and Tip for Tone combination 1 - 0.\n"
             "\n"
             "\n"
             "<span size=\"large\">Wrong tone: ?</span>\n"
             "In some cases your tone cannot be recognised and you will see a question mark. This means that you have not produced a Chinese tone. It is a typical mistake made by learners of Mandarin. You have probably ignored the Chinese tone as a result of focusing only on the speech sounds of the Pinyin transcript. This means you have just said the Chinese word with the intonation common to your own language.\n"
             "");
char *s = N_("(c) 2007");
char *s = N_("About");
char *s = N_("Add Word");
char *s = N_("Before");
char *s = N_("Child (450Hz)");
char *s = N_("Distribute");
char *s = N_("E_xample");
char *s = N_("Example");
char *s = N_("Female (300Hz)");
char *s = N_("GNU General Public License version 2, or in your opinion any later version.");
char *s = N_("Give a discriptive name for the distribution:");
char *s = N_("Help");
/* If hum is played before recording. */
char *s = N_("Hum");
char *s = N_("Male (150Hz)");
char *s = N_("Male (200Hz)");
char *s = N_("Name the distribution");
char *s = N_("Name the distributionfile");
char *s = N_("Open Distribution");
char *s = N_("Save Wordlist As");
char *s = N_("Shuffle");
char *s = N_("Speak Good Chinese");
char *s = N_("Theory");
char *s = N_("Voice");
char *s = N_("Word to add:");
char *s = N_("Wordlist Editor");
char *s = N_("You have unsaved changes!");
char *s = N_("_File");
char *s = N_("_Help");
char *s = N_("_Play");
char *s = N_("_Voice");
char *s = N_("_Wordlists");
char *s = N_("gtk-about");
char *s = N_("gtk-add");
char *s = N_("gtk-cancel");
char *s = N_("gtk-close");
char *s = N_("gtk-edit");
char *s = N_("gtk-help");
char *s = N_("gtk-media-next");
char *s = N_("gtk-media-play");
char *s = N_("gtk-media-previous");
char *s = N_("gtk-media-record");
char *s = N_("gtk-new");
char *s = N_("gtk-open");
char *s = N_("gtk-quit");
char *s = N_("gtk-remove");
char *s = N_("gtk-save");
char *s = N_("gtk-save-as");
